Bug 619513 - qemu crashes with many PCI devices
qemu crashes with many PCI devices
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-29 13:39 EDT by Bill Nottingham
Modified: 2014-03-16 23:24 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 08:48:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2010-07-29 13:39:16 EDT
Description of problem:

LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin QEMU_AUDIO_DRV=none /usr/bin/qemu-kvm -S -M fedora-13 -enable-kvm -m 1024 -smp 2,sockets=2,cores=1,threads=1 -name splat-f13 -uuid c297dcf6-2a20-5003-9f8b-f43a8cdf370d -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/splat-f13.monitor,server,nowait -mon chardev=monitor,mode=readline -rtc base=utc -boot c -drive file=/var/lib/libvirt/images/splat-f13.img,if=none,id=drive-virtio-disk0,boot=on,format=raw -device virtio-blk-pci,bus=pci.0,addr=0x4,drive=drive-virtio-disk0,id=virtio-disk0 -device virtio-net-pci,vlan=0,id=net0,mac=52:54:00:95:09:c9,bus=pci.0,addr=0x5 -net tap,fd=41,vlan=0,name=hostnet0 -chardev pty,id=serial0 -device isa-serial,chardev=serial0 -usb -device usb-tablet,id=input0 -vnc 127.0.0.1:0 -k en-us -vga cirrus -device AC97,id=sound0,bus=pci.0,addr=0x6 -device AC97,id=sound1,bus=pci.0,addr=0x7 -device AC97,id=sound2,bus=pci.0,addr=0x8 -device AC97,id=sound3,bus=pci.0,addr=0x9 -device AC97,id=sound4,bus=pci.0,addr=0xa -device AC97,id=sound5,bus=pci.0,addr=0xb -device AC97,id=sound6,bus=pci.0,addr=0xc -device AC97,id=sound7,bus=pci.0,addr=0xd -device AC97,id=sound8,bus=pci.0,addr=0xe -device AC97,id=sound9,bus=pci.0,addr=0xf -device AC97,id=sound10,bus=pci.0,addr=0x10 -device AC97,id=sound11,bus=pci.0,addr=0x11 -device AC97,id=sound12,bus=pci.0,addr=0x12 -device AC97,id=sound13,bus=pci.0,addr=0x13 -device AC97,id=sound14,bus=pci.0,addr=0x14 -device AC97,id=sound15,bus=pci.0,addr=0x15 -device AC97,id=sound16,bus=pci.0,addr=0x16 -device AC97,id=sound17,bus=pci.0,addr=0x17 -device AC97,id=sound18,bus=pci.0,addr=0x18 -device AC97,id=sound19,bus=pci.0,addr=0x19 -device AC97,id=sound20,bus=pci.0,addr=0x1a -device AC97,id=sound21,bus=pci.0,addr=0x1b -device AC97,id=sound22,bus=pci.0,addr=0x1c -device AC97,id=sound23,bus=pci.0,addr=0x1d -device AC97,id=sound24,bus=pci.0,addr=0x1e -device AC97,id=sound25,bus=pci.0,addr=0x1f -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3 
char device redirected to /dev/pts/3
qemu: hardware error: register_ioport_read: invalid opaque
CPU #0:
RAX=0000000000000000 RBX=ffffffff81a01fd8 RCX=ffffffffffffff10 RDX=0000000000000001
RSI=0000000000000001 RDI=0000000000000001 RBP=ffffffff81a01ed8 RSP=ffffffff81a01ed8
R8 =0000000000000000 R9 =0000000000000000 R10=ffff88003ea21b20 R11=ffff88003eb71750
R12=ffffffff81b87160 R13=0000000000000000 R14=ffffffffffffffff R15=00000000000937b0
RIP=ffffffff81028384 RFL=00000246 [---Z-P-] CPL=0 II=0 A20=1 SMM=0 HLT=0
ES =0000 0000000000000000 ffffffff 00000000
CS =0010 0000000000000000 ffffffff 00a09b00 DPL=0 CS64 [-RA]
SS =0018 0000000000000000 ffffffff 00c09300 DPL=0 DS   [-WA]
DS =0000 0000000000000000 ffffffff 00000000
FS =0000 0000000000000000 ffffffff 00000000
GS =0000 ffff880001e00000 ffffffff 00000000
LDT=0000 0000000000000000 ffffffff 00000000
TR =0040 ffff880001e13340 00002087 00008b00 DPL=0 TSS64-busy
GDT=     ffff880001e04000 0000007f
IDT=     ffffffff81c7f000 00000fff
CR0=8005003b CR2=0000000000000000 CR3=0000000001a3b000 CR4=000006f0
DR0=0000000000000000 DR1=0000000000000000 DR2=0000000000000000 DR3=0000000000000000 
DR6=00000000ffff0ff0 DR7=0000000000000400
FCW=037f FSW=0000 [ST=0] FTW=00 MXCSR=00000000
FPR0=0000000000000000 0000 FPR1=0000000000000000 0000
FPR2=0000000000000000 0000 FPR3=0000000000000000 0000
FPR4=0000000000000000 0000 FPR5=0000000000000000 0000
FPR6=0000000000000000 0000 FPR7=0000000000000000 0000
XMM00=00000000000000000000000000000000 XMM01=00000000000000000000000000000000
XMM02=00000000000000000000000000000000 XMM03=00000000000000000000000000000000
XMM04=00000000000000000000000000000000 XMM05=00000000000000000000000000000000
XMM06=00000000000000000000000000000000 XMM07=00000000000000000000000000000000
XMM08=00000000000000000000000000000000 XMM09=00000000000000000000000000000000
XMM10=00000000000000000000000000000000 XMM11=00000000000000000000000000000000
XMM12=00000000000000000000000000000000 XMM13=00000000000000000000000000000000
XMM14=00000000000000000000000000000000 XMM15=00000000000000000000000000000000
CPU #1:
RAX=0000000000005401 RBX=0000000000000000 RCX=000000000000065b RDX=0000000000000cfc
RSI=0000000000000097 RDI=ffffffff81db558c RBP=ffff88003ea21c60 RSP=ffff88003ea21c30
R8 =0000000000000004 R9 =0000000000005401 R10=00000000000000f8 R11=ffff88003ea978d0
R12=0000000000000010 R13=000000000000f800 R14=00000000fffffffc R15=0000000000000000
RIP=ffffffff813757f7 RFL=00000046 [---Z-P-] CPL=0 II=0 A20=1 SMM=0 HLT=1
ES =0000 0000000000000000 ffffffff 00000000
CS =0010 0000000000000000 ffffffff 00a09b00 DPL=0 CS64 [-RA]
SS =0018 0000000000000000 ffffffff 00c09300 DPL=0 DS   [-WA]
DS =0000 0000000000000000 ffffffff 00000000
FS =0000 0000000000000000 ffffffff 00000000
GS =0000 ffff880001f00000 ffffffff 00000000
LDT=0000 0000000000000000 ffffffff 00000000
TR =0040 ffff880001f13340 00002087 00008b00 DPL=0 TSS64-busy
GDT=     ffff880001f04000 0000007f
IDT=     ffffffff81c7f000 00000fff
CR0=8005003b CR2=0000000000000000 CR3=0000000001a3b000 CR4=000006e0
DR0=0000000000000000 DR1=0000000000000000 DR2=0000000000000000 DR3=0000000000000000 
DR6=00000000ffff0ff0 DR7=0000000000000400
FCW=037f FSW=0000 [ST=0] FTW=00 MXCSR=00000000
FPR0=0000000000000000 0000 FPR1=0000000000000000 0000
FPR2=0000000000000000 0000 FPR3=0000000000000000 0000
FPR4=0000000000000000 0000 FPR5=0000000000000000 0000
FPR6=0000000000000000 0000 FPR7=0000000000000000 0000
XMM00=00000000000000000000000000000000 XMM01=00000000000000000000000000000000
XMM02=00000000000000000000000000000000 XMM03=00000000000000000000000000000000
XMM04=00000000000000000000000000000000 XMM05=00000000000000000000000000000000
XMM06=00000000000000000000000000000000 XMM07=00000000000000000000000000000000
XMM08=00000000000000000000000000000000 XMM09=00000000000000000000000000000000
XMM10=00000000000000000000000000000000 XMM11=00000000000000000000000000000000
XMM12=00000000000000000000000000000000 XMM13=00000000000000000000000000000000
XMM14=00000000000000000000000000000000 XMM15=00000000000000000000000000000000

From the brief look of the kernel messages, it was doing something in
the PCI code.

Version-Release number of selected component (if applicable):

qemu-kvm-0.12.3-8.fc13.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Add ridiculous number of ac97 devices, until you get the 'can't add another PCI device' error
2. Attempt to boot virtual machine
Comment 1 Bug Zapper 2011-06-01 08:33:11 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-29 08:48:32 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.